"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _opts = require("./opts");

var _babel = require("./babel");

const handler = options => {
  return async (next, ctx) => {
    const opts = (0, _opts.getOpts)(options, ctx);

    if (ctx.emit) {
      ctx.emit("babel.opts", opts);
      await ctx.utils.sleep(100);
    }

    await (0, _opts.validateOpts)(opts, ctx);
    const babelOpts = await (0, _babel.run)(opts, ctx);
    await next({
      babelOpts
    });
  };
};

var _default = handler;
exports.default = _default;
module.exports = exports.default;